### Home Classes Methods

### In Files

- lib/gdk_pixbuf2.rb

### Parent

Object

### Methods

- ::open

### Class/Module Index

Quicksearch

- Gdk
- Gdk::Pixbuf
- Gdk::PixbufLoader

No matching classes.

# Gdk::PixbufLoader

### Public Class Methods

open(type = nil, mime_type = false) click to toggle source

    # File lib/gdk_pixbuf2.rb, line 30
    def self.open(type = nil, mime_type = false)
      loader = Gdk::PixbufLoader.new(type, mime_type)
      if block_given?
        begin
          yield(loader)
        ensure
          loader.close
        end
      end
      loader
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.